import pytest

import nl4py
import utils

@pytest.fixture(scope='session')
def NLServer(request):
    server = utils.NLServer()
    server.start_server()
    def teardown():
        nonlocal server
        server.stop_server()
    request.addfinalizer(teardown)
    return server

@pytest.fixture
def setup_model(NLServer):
    NLServer.new_workspace()
    return NLServer
